import pygtk
pygtk.require("2.0")
import gtk

def settings(*args):
    dialog = gtk.Dialog(title="Settings", 
                        parent=w,
                        flags=gtk.DIALOG_MODAL | 
                                    gtk.DIALOG_DESTROY_WITH_PARENT,
                        buttons=(gtk.STOCK_OK, gtk.RESPONSE_ACCEPT))
    entry = gtk.Entry()
    entry.connect("activate", 
                  lambda *args: dialog.response(gtk.RESPONSE_ACCEPT))
    dialog.vbox.pack_start(gtk.Label("New greeting:"))
    dialog.vbox.pack_start(entry)
    dialog.show_all()
    response = dialog.run()
    dialog.hide()
    if response == gtk.RESPONSE_ACCEPT:
        greeting.set_text(entry.get_text())

def quit(*args):
    gtk.main_quit()

settings_item = gtk.MenuItem("Settings...")
settings_item.connect("activate", settings)

quit_item = gtk.MenuItem("Quit")
quit_item.connect("activate", quit)

file_menu = gtk.Menu()
file_menu.append(settings_item)
file_menu.append(quit_item)

file_item = gtk.MenuItem("File")
file_item.set_submenu(file_menu)

main_menu = gtk.MenuBar()
main_menu.append(file_item)

greeting = gtk.Label("hello, world")

vbox = gtk.VBox()
vbox.pack_start(main_menu)
vbox.pack_start(greeting)

w = gtk.Window(gtk.WINDOW_TOPLEVEL)
w.add(vbox)
w.connect("delete-event", quit)
w.show_all()

gtk.main()
