import pygtk
pygtk.require("2.0")
import gtk.glade
import gnome

def settings(*args):
    dialog.show_all()
    response = dialog.run()
    dialog.hide()
    if response == gtk.RESPONSE_ACCEPT:
        greeting.set_text(entry.get_text())

def quit(*args):
    gtk.main_quit()

gnome.init("hello6", "1.0")

xml = gtk.glade.XML("hello6.glade")
dict = {
    "on_window_delete_event": quit,
    "on_quit_activate": quit,
    "on_settings_activate": settings,
}
xml.signal_autoconnect(dict)

w = xml.get_widget("window")
greeting = xml.get_widget("greeting")
dialog = xml.get_widget("settings")
dialog.set_transient_for(w)
entry = xml.get_widget("entry")
entry.connect("activate", 
              lambda *args: dialog.response(gtk.RESPONSE_ACCEPT))

gtk.main()
